Bug 1597752 - [RFE] Static FDB entries / configure FDB entries manually [NEEDINFO]
Summary: [RFE] Static FDB entries / configure FDB entries manually
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch
Version: 7.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: alpha
: ---
Assignee: Aaron Conole
QA Contact: qding
URL:
Whiteboard:
Depends On:
Blocks: 1660256
TreeView+ depends on / blocked
 
Reported: 2018-07-03 14:46 UTC by Andreas Karis
Modified: 2020-12-08 14:36 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 21:38:04 UTC
Target Upstream Version:
akaris: needinfo? (akaris)


Attachments (Terms of Use)

Description Andreas Karis 2018-07-03 14:46:49 UTC
Hi,

I'd like to request the implementation of a feature that allows customers to add an FDB entry, much like statically adding a  static entry to the ARP table.

Currently, 2 commands exist for the fdb:
~~~
   BRIDGE COMMANDS
       These commands manage bridges.

       fdb/flush [bridge]
              Flushes bridge MAC address learning table, or all learning tables  if
              no bridge is given.

       fdb/show bridge
              Lists  each  MAC  address/VLAN  pair learned by the specified bridge,
              along with the port on which it was learned and the age of the entry,
              in seconds.
~~~

~~~
[root@overcloud-compute-0 ~]# ovs-appctl fdb/show br-ex
 port  VLAN  MAC                Age
    1   901  12:9e:5f:0f:34:09    1
    4   901  3e:d5:85:59:87:3c    1
~~~

What I'd like to have is something like:
~~~
ovs-appctl fdb/add-static-entry <port> <vlan> <MAC>
~~~

This might help while troubleshooting specific issues. E.g., I recently worked on a case where the entry for a MAC address was never added to the FDB which lead to flooding. The reason was that no host ever sent a frame with the source MAC in question. I wanted to validate my theory by adding a static entry to the bridge, but I couldn't.

This is really low priority, but if we could add this to the todo list upstream (or if you tell me how to do this), I'd appreciate.

Thanks,

Andreas

Comment 1 Aaron Conole 2018-07-03 15:10:12 UTC
This would be difficult to get upstream.  The FDB is for learned entries.  Static entries should be programmed (ie: a match->action set in the flow rules).  The next time I talk with the upstream folks I'll ask about it - maybe there could be some kind of use case.  Is there a reason something like:

  ovs-ofctl add-flow br0 dl_dst=$MAC,actions=$PORT

would be insufficient?

Comment 5 Andreas Karis 2018-10-15 15:26:12 UTC
Putting some further thought into this ... Creating static FDB entries may also be used by higher level components such as neutron. Imagine that neutron could program the vswitch with static MAC address entries to avoid unknown unicast flooding in specific situations.

Comment 6 Andreas Karis 2018-10-15 15:27:43 UTC
Setting needinfo back on me to look into:

  ovs-ofctl add-flow br0 dl_dst=$MAC,actions=$PORT

Comment 7 Flavio Leitner 2019-06-19 14:09:46 UTC
This is being discussed in upstream for other reasons:
https://mail.openvswitch.org/pipermail/ovs-discuss/2019-June/048894.html

Comment 11 Marcelo Ricardo Leitner 2020-10-23 23:48:53 UTC
per comment above.
If this is still wanted, we need to move it to rhel8.

Comment 12 Chris Williams 2020-11-11 21:38:04 UTC
Red Hat Enterprise Linux 7 shipped it's final minor release on September 29th, 2020. 7.9 was the last minor releases scheduled for RHEL 7.
From intial triage it does not appear the remaining Bugzillas meet the inclusion criteria for Maintenance Phase 2 and will now be closed. 

From the RHEL life cycle page:
https://access.redhat.com/support/policy/updates/errata#Maintenance_Support_2_Phase
"During Maintenance Support 2 Phase for Red Hat Enterprise Linux version 7,Red Hat defined Critical and Important impact Security Advisories (RHSAs) and selected (at Red Hat discretion) Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available."

If this BZ was closed in error and meets the above criteria please re-open it flag for 7.9.z, provide suitable business and technical justifications, and follow the process for Accelerated Fixes:
https://source.redhat.com/groups/public/pnt-cxno/pnt_customer_experience_and_operations_wiki/support_delivery_accelerated_fix_release_handbook  

Feature Requests can re-opened and moved to RHEL 8 if the desired functionality is not already present in the product. 

Please reach out to the applicable Product Experience Engineer[0] if you have any questions or concerns.  

[0] https://bugzilla.redhat.com/page.cgi?id=agile_component_mapping.html&product=Red+Hat+Enterprise+Linux+7


Note You need to log in before you can comment on or make changes to this bug.